package com.gic.haoban.manage.api.dto.contact;

import java.io.Serializable;

public class ContactOrderGoodsInfoDTO implements Serializable {
    private static final long serialVersionUID = 973688857967269975L;

    /**
     * 商品ID
     */
    private String goodsId;

    /**
     * 商品图片
     */
    private String imageUrl;

    /**
     * 商品数量
     */
    private Integer number;

    /**
     * 应收
     */
    private Double paidAmount;

    /**
     * 实付
     */
    private Double payAmount;

    /**
     * 商品名称
     */
    private String proName;

    /**
     * 商品编号
     */
    private String proNo;

    /**
     * 商品类型
     */
    private Integer proType;

    /**
     * 商品规格编码
     */
    private String skuCode;

    /**
     * 商品规格属性
     */
    private String attribute;

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Double getPaidAmount() {
        return paidAmount;
    }

    public void setPaidAmount(Double paidAmount) {
        this.paidAmount = paidAmount;
    }

    public Double getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Double payAmount) {
        this.payAmount = payAmount;
    }

    public String getProName() {
        return proName;
    }

    public void setProName(String proName) {
        this.proName = proName;
    }

    public String getProNo() {
        return proNo;
    }

    public void setProNo(String proNo) {
        this.proNo = proNo;
    }

    public Integer getProType() {
        return proType;
    }

    public void setProType(Integer proType) {
        this.proType = proType;
    }

    public String getSkuCode() {
        return skuCode;
    }

    public void setSkuCode(String skuCode) {
        this.skuCode = skuCode;
    }

    public String getAttribute() {
        return attribute;
    }

    public void setAttribute(String attribute) {
        this.attribute = attribute;
    }
}